Rapid7 Vulnerability & Exploit Database

RHSA-2010:0003: gd security update

Back to Search

RHSA-2010:0003: gd security update

Severity
9
CVSS
(AV:N/AC:M/Au:N/C:C/I:C/A:C)
Published
10/19/2009
Created
07/25/2018
Added
01/13/2010
Modified
07/04/2017

Description

The gd packages provide a graphics library used for the dynamic creation ofimages, such as PNG and JPEG.A missing input sanitization flaw, leading to a buffer overflow, wasdiscovered in the gd library. A specially-crafted GD image file could causean application using the gd library to crash or, possibly, executearbitrary code when opened. (CVE-2009-3546)Users of gd should upgrade to these updated packages, which contain abackported patch to resolve this issue.

Solution(s)

  • redhat-upgrade-gd
  • redhat-upgrade-gd-devel
  • redhat-upgrade-gd-progs

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;